Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | PROPERTY | CONSTR | METHOD | DETAIL: FIELD | PROPERTY | CONSTR | METHOD

## org.gradle.plugins.ide.idea
[Groovy] Class GenerateIdeaProject

    java.lang.Object
      org.gradle.api.internal.ConventionTask
          org.gradle.plugins.ide.api.GeneratorTask
              org.gradle.plugins.ide.api.XmlGeneratorTask
                  org.gradle.plugins.ide.idea.GenerateIdeaProject

    class GenerateIdeaProject
    extends XmlGeneratorTask

Generates an IDEA project file for root project *only*. If you want to fine tune the idea configuration

At this moment nearly all configuration is done via IdeaProject.

Authors:
  Hans Dockter

Field Summary

Fields inherited from class GeneratorTask
afterConfigured, beforeConfigured, domainObject, generator

Property Summary
`IdeaProject` | `ideaProject` idea project model

Method Summary
`protected void` | `configure(Project xmlModule)`
`Project` | `create()`
`File` | `getOutputFile()` output *.ipr file
`void` | `setOutputFile(File newOutputFile)`

Methods inherited from class XmlGeneratorTask
configure, create, getXmlTransformer

Methods inherited from class GeneratorTask
getInputFile, getOutputFile, setInputFile, setOutputFile

Property Detail

### ideaProject

    IdeaProject ideaProject

  idea project model

Method Detail

### configure

    @Override
    protected void configure(Project xmlModule)

### create

    @Override
    Project create()

### getOutputFile

    File getOutputFile()

  output *.ipr file

### setOutputFile

    void setOutputFile(File newOutputFile)

Gradle API 1.1-rc-1